package com.ruoyi.project.system.service;

import com.ruoyi.project.system.domain.ZhGroupInfo;

import java.util.List;

/**
 * 团队Service接口
 *
 * @author zhu
 * @date 2023-12-26
 */
public interface IZhGroupInfoService {
    /**
     * 查询团队
     *
     * @param id 团队主键
     * @return 团队
     */
    public ZhGroupInfo selectZhGroupInfoById(Long id);

    /**
     * 查询团队列表
     *
     * @param zhGroupInfo 团队
     * @return 团队集合
     */
    public List<ZhGroupInfo> selectZhGroupInfoList(ZhGroupInfo zhGroupInfo);

    /**
     * 新增团队
     *
     * @param zhGroupInfo 团队
     * @return 结果
     */
    public int insertZhGroupInfo(ZhGroupInfo zhGroupInfo);

    /**
     * 修改团队
     *
     * @param zhGroupInfo 团队
     * @return 结果
     */
    public int updateZhGroupInfo(ZhGroupInfo zhGroupInfo);

    /**
     * 修改团队
     *
     * @param zhGroupInfo 团队
     * @return 结果
     */
    public int updateZhGroupInfoByGroupId(ZhGroupInfo zhGroupInfo);

    /**
     * 批量删除团队
     *
     * @param ids 需要删除的团队主键集合
     * @return 结果
     */
    public int deleteZhGroupInfoByIds(Long[] ids);

    /**
     * 删除团队信息
     *
     * @param id 团队主键
     * @return 结果
     */
    public int deleteZhGroupInfoById(Long id);
}
